com.thinkaurelius.titan.core.attribute

## Enum Cmp

- java.lang.Object
- - java.lang.Enum<Cmp>
  - - com.thinkaurelius.titan.core.attribute.Cmp

- All Implemented Interfaces:
    TitanPredicate, com.tinkerpop.blueprints.Predicate, Serializable, Comparable<Cmp>

      public enum Cmp
      extends Enum<Cmp>
      implements TitanPredicate

  Basic comparison relations for comparable (i.e. linearly ordered) objects.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.thinkaurelius.titan.graphdb.query.TitanPredicate

      `TitanPredicate.Converter`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EQUAL`
    `GREATER_THAN`
    `GREATER_THAN_EQUAL`
    `LESS_THAN`
    `LESS_THAN_EQUAL`
    `NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNegation()` Whether this predicate has a predicate that is semantically its negation.
    `boolean` | `isQNF()` Returns true if this predicate is in query normal form.
    `static Cmp` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Cmp[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.query.TitanPredicate

      `evaluate, isValidCondition, isValidValueType, negate`

- - ### Enum Constant Detail

    - #### EQUAL

          public static final Cmp EQUAL

    - #### NOT_EQUAL

          public static final Cmp NOT_EQUAL

    - #### LESS_THAN

          public static final Cmp LESS_THAN

    - #### LESS_THAN_EQUAL

          public static final Cmp LESS_THAN_EQUAL

    - #### GREATER_THAN

          public static final Cmp GREATER_THAN

    - #### GREATER_THAN_EQUAL

          public static final Cmp GREATER_THAN_EQUAL

  - ### Method Detail

    - #### values

          public static Cmp[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Cmp c : Cmp.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Cmp valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### hasNegation

          public boolean hasNegation()

      Description copied from interface: `TitanPredicate`
      Whether this predicate has a predicate that is semantically its negation. For instance, `EQUAL` and `NOT_EQUAL` are negatives of each other.
      Specified by:
        `hasNegation` in interface `TitanPredicate`
      Returns:

    - #### isQNF

          public boolean isQNF()

      Description copied from interface: `TitanPredicate`
      Returns true if this predicate is in query normal form.
      Specified by:
        `isQNF` in interface `TitanPredicate`
      Returns:

Copyright © 2012–2014. All rights reserved.